LimitData

12 Sep 20255 minutes to read

It illustrates the limit data in slider.

    <div id="default"></div>
    import { Slider } from "@syncfusion/ej2-inputs";
    let defaultObj: Slider = new Slider({
        min: 0, max: 100,
        // Set the intial range values for slider
        value: [25, 75],
        // Set the step value
        step: 1,
        // Set the type to render range slider
        type: "Range",
        // Initialize ticks with placement, largestep, smallstep
        ticks: { placement: "Before", largeStep: 20, smallStep: 5, showSmallTicks: true },
        // Set the limit values for the slider
        limits: { enabled: true, minStart: 10, minEnd: 40, maxStart: 60, maxEnd: 90 },
        // Initialize tooltip with placement and showOn
        tooltip: { isVisible: true, placement: "Before", showOn: "Focus" }
    });
    defaultObj.appendTo("#default");

Properties

enabled boolean

It is used to enable the limit in the slider.

Defaults to false

endHandleFixed boolean

It is used to lock the second handle.

    <div id="default"></div>
    import { Slider } from "@syncfusion/ej2-inputs";
    let defaultObj: Slider = new Slider({
        min: 0, max: 100,
        // Set the intial range values for slider
        value: [25, 75],
        // Set the step value
        step: 1,
        // Set the type to render range slider
        type: "Range",
        // Initialize ticks with placement, largestep, smallstep
        ticks: { placement: "Before", largeStep: 20, smallStep: 5, showSmallTicks: true },
        // Set the limit values for the slider
        limits: { enabled: true, minStart: 10, minEnd: 40, maxStart: 60, maxEnd: 90, endHandleFixed: true },
        // Initialize tooltip with placement and showOn
        tooltip: { isVisible: true, placement: "Before", showOn: "Focus" }
    });
    defaultObj.appendTo("#default");

Defaults to false

maxEnd number

It is used to set the maximum end limit value.

Defaults to null

maxStart number

It is used to set the maximum start limit value.

Defaults to null

minEnd number

It is used to set the minimum end limit value.

Defaults to null

minStart number

It is used to set the minimum start limit value.

Defaults to null

startHandleFixed boolean

It is used to lock the first handle.

    <div id="default"></div>
    import { Slider } from "@syncfusion/ej2-inputs";
    let defaultObj: Slider = new Slider({
        min: 0, max: 100,
        // Set the intial range values for slider
        value: [25, 75],
        // Set the step value
        step: 1,
        // Set the type to render range slider
        type: "Range",
        // Initialize ticks with placement, largestep, smallstep
        ticks: { placement: "Before", largeStep: 20, smallStep: 5, showSmallTicks: true },
        // Set the limit values for the slider
        limits: { enabled: true, minStart: 10, minEnd: 40, maxStart: 60, maxEnd: 90, startHandleFixed: true},
        // Initialize tooltip with placement and showOn
        tooltip: { isVisible: true, placement: "Before", showOn: "Focus" }
    });
    defaultObj.appendTo("#default");

Defaults to false

/ Slider / LimitData
Search results

LimitData API in Angular Slider API component

It illustrates the limit data in slider.

 <ejs-slider [value]="minValue" [min]="min" [max]="max" [tooltip]="tooltip" [ticks]="ticks" [type]="minType" [limits]="minRangeLimits"></ejs-slider>
import { Component } from "@angular/core";

@Component({
    selector: "my-app",
    templateUrl: "app/template.html",
    styleUrls:["index.css"],
})
export class AppComponent {
    public tooltip: TooltipDataModel = {
        placement: "Before",
        isVisible: true
    };
    public ticks: TicksDataModel = {
        placement: "After",
        largeStep: 20,
        smallStep: 5,
        showSmallTicks: true
    };
    public minType: SliderType = "MinRange";
    public min: number = 0;
    public max: number = 100;
    public minRangeLimits: LimitDataModel = { enabled: true, minStart: 10, minEnd: 40 };
}

Properties

enabled

boolean

It is used to enable the limit in the slider.

Defaults to false

endHandleFixed

boolean

It is used to lock the second handle.

 <ejs-slider [value]="minValue" [min]="min" [max]="max" [type]="minType"
    [limits]="minRangeLimits"></ejs-slider>
import { Component } from "@angular/core";

@Component({
    selector: "my-app",
    templateUrl: "app/template.html",
    styleUrls:["index.css"],
})
export class AppComponent {
    public minType: SliderType = "MinRange";
    public min: number = 0;
    public max: number = 100;
    public minRangeLimits: LimitDataModel = { enabled: true, minStart: 10, minEnd: 40, endHandleFixed: true };
}

Defaults to false

maxEnd

number

It is used to set the maximum end limit value.

Defaults to null

maxStart

number

It is used to set the maximum start limit value.

Defaults to null

minEnd

number

It is used to set the minimum end limit value.

Defaults to null

minStart

number

It is used to set the minimum start limit value.

Defaults to null

startHandleFixed

boolean

It is used to lock the first handle.

 <ejs-slider [value]="minValue" [min]="min" [max]="max" [type]="minType" [limits]="minRangeLimits"></ejs-slider>
import { Component } from "@angular/core";

@Component({
    selector: "my-app",
    templateUrl: "app/template.html",
    styleUrls:["index.css"],
})
export class AppComponent {
    public minType: SliderType = "MinRange";
    public min: number = 0;
    public max: number = 100;
    public minRangeLimits: LimitDataModel = { enabled: true, minStart: 10, minEnd: 40, startHandleFixed: true };
}

Defaults to false

Search results

LimitData API in Vue Slider API component

It illustrates the limit data in slider.

<template>
    <div id="app">
    <ejs-slider id="default" :value="value" :limits="limits" :tooltip="tooltip" :type="type"></ejs-slider>
    </div>
</template>
<script>
import Vue from "vue";
import { SliderPlugin } from "@syncfusion/ej2-vue-inputs";
Vue.use(SliderPlugin);

export default {
  data() {
    return {
        value: [30, 70],
        tooltip: { isVisible: true },
        limits: { enabled: true, minStart: 10, minEnd: 40, maxStart: 60, maxEnd: 90 },
        type: "Range"
    };
  }
}
</script>
<style>

   #app {
    height: 40px;
    left: 30%;
    position: absolute;
    top: 40%;
    width: 50%;
  }
</style>

Properties

enabled

boolean

It is used to enable the limit in the slider.

Defaults to false

endHandleFixed

boolean

It is used to lock the second handle.

<template>
    <div id="app">
    <ejs-slider id="default" :value="value" :limits="limits" :tooltip="tooltip" :type="type"></ejs-slider>
    </div>
</template>
<script>
import Vue from "vue";
import { SliderPlugin } from "@syncfusion/ej2-vue-inputs";
Vue.use(SliderPlugin);

export default {
  data() {
    return {
        value: [30, 70],
        tooltip: { isVisible: true },
        limits: { enabled: true, minStart: 10, minEnd: 40, maxStart: 60, maxEnd: 90, endHandleFixed: true },
        type: "Range"
    };
  }
}
</script>
<style>

   #app {
    height: 40px;
    left: 30%;
    position: absolute;
    top: 40%;
    width: 50%;
  }
</style>

Defaults to false

maxEnd

number

It is used to set the maximum end limit value.

Defaults to null

maxStart

number

It is used to set the maximum start limit value.

Defaults to null

minEnd

number

It is used to set the minimum end limit value.

Defaults to null

minStart

number

It is used to set the minimum start limit value.

Defaults to null

startHandleFixed

boolean

It is used to lock the first handle.

<template>
    <div id="app">
    <ejs-slider id="default" :value="value" :limits="limits" :tooltip="tooltip" :type="type"></ejs-slider>
    </div>
</template>
<script>
import Vue from "vue";
import { SliderPlugin } from "@syncfusion/ej2-vue-inputs";
Vue.use(SliderPlugin);

export default {
  data() {
    return {
        value: [30, 70],
        tooltip: { isVisible: true },
        limits: { enabled: true, minStart: 10, minEnd: 40, maxStart: 60, maxEnd: 90, startHandleFixed: true },
        type: "Range"
    };
  }
}
</script>
<style>

   #app {
    height: 40px;
    left: 30%;
    position: absolute;
    top: 40%;
    width: 50%;
  }
</style>

Defaults to false

HelpBot Assistant

How can I help you?

LimitData

17 Sep 20253 minutes to read

It illustrates the limit data in slider.

import * as React from 'react';
import { SliderComponent, ColorRangeDataModel, TicksDataModel, LimitDataModel } from '@syncfusion/ej2-react-inputs';

export default class App extends React.Component<{}, {}> {
  public ticks: TicksDataModel = {
    placement: "After",
    largeStep: 20,
    smallStep: 10,
    showSmallTicks: true
  };
  public minRangeLimits: LimitDataModel = { enabled: true, minStart: 10, minEnd: 40, maxStart: 50, maxEnd: 80 };
  render() {
    
    return (
        <div id='container'>
            <div className='wrap'>
                <SliderComponent type='Range' id='slider' value={[30,70]}
            ticks={this.ticks} limits ={this.minRangeLimits}/>
            </div>
        </div>
    );
  }
}

Properties

enabled boolean

It is used to enable the limit in the slider.

Defaults to false

endHandleFixed boolean

It is used to lock the second handle.

import * as React from 'react';
import { SliderComponent, ColorRangeDataModel, TicksDataModel, LimitDataModel } from '@syncfusion/ej2-react-inputs';

export default class App extends React.Component<{}, {}> {
  public ticks: TicksDataModel = {
    placement: "After",
    largeStep: 20,
    smallStep: 10,
    showSmallTicks: true
  };
  public minRangeLimits: LimitDataModel = { enabled: true, minStart: 10, minEnd: 40, maxStart: 50, maxEnd: 80, endHandleFixed: true };
  render() {
    
    return (
        <div id='container'>
            <div className='wrap'>
                <SliderComponent type='Range' id='slider' value={[30,70]}
            ticks={this.ticks} limits ={this.minRangeLimits}/>
            </div>
        </div>
    );
  }
}

Defaults to false

maxEnd number

It is used to set the maximum end limit value.

Defaults to null

maxStart number

It is used to set the maximum start limit value.

Defaults to null

minEnd number

It is used to set the minimum end limit value.

Defaults to null

minStart number

It is used to set the minimum start limit value.

Defaults to null

startHandleFixed boolean

It is used to lock the first handle.

import * as React from 'react';
import { SliderComponent, ColorRangeDataModel, TicksDataModel, LimitDataModel } from '@syncfusion/ej2-react-inputs';

export default class App extends React.Component<{}, {}> {
  public ticks: TicksDataModel = {
    placement: "After",
    largeStep: 20,
    smallStep: 10,
    showSmallTicks: true
  };
  public minRangeLimits: LimitDataModel = { enabled: true, minStart: 10, minEnd: 40, startHandleFixed: true };
  render() {
    
    return (
        <div id='container'>
            <div className='wrap'>
                <SliderComponent type='Range' id='slider' value={[30,70]} tooltip={this.tooltip}
            ticks={this.ticks} limits ={this.minRangeLimits}/>
            </div>
        </div>
    );
  }
}

Defaults to false